# -*- encoding: utf-8 -*-
# stub: power_stencil 0.9.8 ruby lib

Gem::Specification.new do |s|
  s.name = "power_stencil".freeze
  s.version = "0.9.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://gitlab.com/tools4devops/power_stencil/issues", "documentation_uri" => "https://gitlab.com/tools4devops/power_stencil/blob/master/README.md", "homepage_uri" => "https://powerstencil.brizone.org/", "source_code_uri" => "https://gitlab.com/tools4devops/power_stencil" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Laurent Briais".freeze]
  s.bindir = "exe".freeze
  s.date = "2019-11-22"
  s.description = "PowerStencil is the Swiss-army knife templating workflow for developers and ops.".freeze
  s.email = ["powerstencil-contact@brizone.org".freeze]
  s.executables = ["power_stencil".freeze]
  s.files = ["exe/power_stencil".freeze]
  s.homepage = "https://powerstencil.brizone.org/".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\nThank you for installing PowerStencil 0.9.8 !\nFrom the command line you can run `power_stencil --help`\nIf your shell is not completing the command:\n  If you use rbenv: `rbenv rehash`\n  If you use zsh  : `rehash`\n\nOfficial Website          : https://powerstencil.brizone.org/\nFull documentation here   : https://gitlab.com/tools4devops/power_stencil/blob/master/README.md\nFeel free to report issues: https://gitlab.com/tools4devops/power_stencil/issues\n\nType 'power_stencil adm --zsh-completion' to install auto-completion for zsh.\n\n  ".freeze
  s.rubygems_version = "3.2.22".freeze
  s.summary = "PowerStencil is the Swiss-army knife templating workflow for developers and ops.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<climatic>.freeze, ["~> 0.2.38"])
    s.add_runtime_dependency(%q<dir_glob_ignore>.freeze, ["~> 0.3"])
    s.add_runtime_dependency(%q<universe_compiler>.freeze, ["~> 0.5.6"])
    s.add_runtime_dependency(%q<pry>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<git>.freeze, ["~> 1.5.0"])
    s.add_runtime_dependency(%q<haml>.freeze, ["~> 5.1.2"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<climatic>.freeze, ["~> 0.2.38"])
    s.add_dependency(%q<dir_glob_ignore>.freeze, ["~> 0.3"])
    s.add_dependency(%q<universe_compiler>.freeze, ["~> 0.5.6"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<git>.freeze, ["~> 1.5.0"])
    s.add_dependency(%q<haml>.freeze, ["~> 5.1.2"])
  end
end
